<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Counts Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1Counts.html">Counts</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Counts-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Counts Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aaa10666f559057e3e860d2a5a6fae4c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#aaa10666f559057e3e860d2a5a6fae4c4">operator-</a> (<a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;other) const</td></tr>
<tr class="separator:aaa10666f559057e3e860d2a5a6fae4c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322a89475cd2cc039140ef371e973677"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a322a89475cd2cc039140ef371e973677">operator+=</a> (<a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;other)</td></tr>
<tr class="separator:a322a89475cd2cc039140ef371e973677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94f969c09cf52d1339c085c9603cd1d3"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a94f969c09cf52d1339c085c9603cd1d3">total</a> () const</td></tr>
<tr class="separator:a94f969c09cf52d1339c085c9603cd1d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84999490e0ecaa3de5e121bf48eda1b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a84999490e0ecaa3de5e121bf48eda1b3">allPassed</a> () const</td></tr>
<tr class="separator:a84999490e0ecaa3de5e121bf48eda1b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33bd996e016030155b99fe1c51c08991"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a33bd996e016030155b99fe1c51c08991">allOk</a> () const</td></tr>
<tr class="separator:a33bd996e016030155b99fe1c51c08991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa10666f559057e3e860d2a5a6fae4c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#aaa10666f559057e3e860d2a5a6fae4c4">operator-</a> (<a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;other) const</td></tr>
<tr class="separator:aaa10666f559057e3e860d2a5a6fae4c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322a89475cd2cc039140ef371e973677"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a322a89475cd2cc039140ef371e973677">operator+=</a> (<a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;other)</td></tr>
<tr class="separator:a322a89475cd2cc039140ef371e973677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94f969c09cf52d1339c085c9603cd1d3"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a94f969c09cf52d1339c085c9603cd1d3">total</a> () const</td></tr>
<tr class="separator:a94f969c09cf52d1339c085c9603cd1d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84999490e0ecaa3de5e121bf48eda1b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a84999490e0ecaa3de5e121bf48eda1b3">allPassed</a> () const</td></tr>
<tr class="separator:a84999490e0ecaa3de5e121bf48eda1b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33bd996e016030155b99fe1c51c08991"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a33bd996e016030155b99fe1c51c08991">allOk</a> () const</td></tr>
<tr class="separator:a33bd996e016030155b99fe1c51c08991"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad28daaf3de28006400208b6dd0c631e6"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#ad28daaf3de28006400208b6dd0c631e6">passed</a> = 0</td></tr>
<tr class="separator:ad28daaf3de28006400208b6dd0c631e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19982a3817a3bc2c07f0290e71f497a3"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#a19982a3817a3bc2c07f0290e71f497a3">failed</a> = 0</td></tr>
<tr class="separator:a19982a3817a3bc2c07f0290e71f497a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac090973a2ff51394cd452718e75c073e"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Counts.html#ac090973a2ff51394cd452718e75c073e">failedButOk</a> = 0</td></tr>
<tr class="separator:ac090973a2ff51394cd452718e75c073e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a33bd996e016030155b99fe1c51c08991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33bd996e016030155b99fe1c51c08991">&#9670;&nbsp;</a></span>allOk() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Counts::allOk </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33bd996e016030155b99fe1c51c08991"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33bd996e016030155b99fe1c51c08991">&#9670;&nbsp;</a></span>allOk() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Counts::allOk </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84999490e0ecaa3de5e121bf48eda1b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84999490e0ecaa3de5e121bf48eda1b3">&#9670;&nbsp;</a></span>allPassed() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Counts::allPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a84999490e0ecaa3de5e121bf48eda1b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84999490e0ecaa3de5e121bf48eda1b3">&#9670;&nbsp;</a></span>allPassed() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Counts::allPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a322a89475cd2cc039140ef371e973677"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322a89475cd2cc039140ef371e973677">&#9670;&nbsp;</a></span>operator+=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&amp; Catch::Counts::operator+= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a322a89475cd2cc039140ef371e973677"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322a89475cd2cc039140ef371e973677">&#9670;&nbsp;</a></span>operator+=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&amp; Catch::Counts::operator+= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa10666f559057e3e860d2a5a6fae4c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa10666f559057e3e860d2a5a6fae4c4">&#9670;&nbsp;</a></span>operator-() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::Counts::operator- </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa10666f559057e3e860d2a5a6fae4c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa10666f559057e3e860d2a5a6fae4c4">&#9670;&nbsp;</a></span>operator-() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::Counts::operator- </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94f969c09cf52d1339c085c9603cd1d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94f969c09cf52d1339c085c9603cd1d3">&#9670;&nbsp;</a></span>total() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::Counts::total </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94f969c09cf52d1339c085c9603cd1d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94f969c09cf52d1339c085c9603cd1d3">&#9670;&nbsp;</a></span>total() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::Counts::total </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a19982a3817a3bc2c07f0290e71f497a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19982a3817a3bc2c07f0290e71f497a3">&#9670;&nbsp;</a></span>failed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::Counts::failed = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac090973a2ff51394cd452718e75c073e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac090973a2ff51394cd452718e75c073e">&#9670;&nbsp;</a></span>failedButOk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::Counts::failedButOk = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad28daaf3de28006400208b6dd0c631e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad28daaf3de28006400208b6dd0c631e6">&#9670;&nbsp;</a></span>passed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::Counts::passed = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
